function [y6,y7,delay2] = smooth_v6(x,y_ruw)
%smooth_v6  Haalt de spikes van een vectrino-signaal
%

x0=x;
lengte=length(x);

dx      = (x0(2)-x0(1));    % Bemonsteringsinterval [sec]
Fs      = abs(1.0/dx);      % SampleFrequency of inputsignal p [Hz]
Ffilter = 0.01000;           % Kantelfrequentie van het FILTER in Hz  ~ -4.5db-punt

N2=15;
delay2  = N2*dx/2;
% idelay2 = round(abs(delay2/dx));
h2 = fdesign.lowpass('n,fc',N2,Ffilter,Fs);
Hm2 = design(h2,'window');

x1=x0;

y1=y_ruw;

[y2, ip2] = func_despike_phasespace3d( y1, 0, 2 );
y3=y2';

gereed=0;
i=0;
while not ( gereed )
    i=i+1;
    if not( ip2(i)==i )
        verschil=y3(i)-y1(i);
        gereed=1;
    end
end
fprintf( 1, 'i , verschil = %5.0f', i       ); 
fprintf( 1, '%10.4f\n',             verschil); 

y3=y3-verschil;

y3_median = median(y3);
y4=y3; y4(:)=y3_median;

y5=y3;
i1=0; % locale teller voor het aantal foute waarden
for n = 2:lengte
if abs(y3(n)-y4(n))>15
   y5(n)= NaN;
   if i1==0
      y5(n-1)=NaN;
   end
   i1=i1+1;
else
   if i1 ~= 0
      y5(n)=NaN;
      i1=0;
   end
end
end

y6 = pchip(x1,y5,x1);

% plot( x1, y1 ,'r'); hold on;
% plot( x1, y3 ,'g');
% plot( x1, y8 ,'b');
% plot( x1, y5 ,'b','LineWidth',2);
% plot( x1, y6 ,'k');

% xlabel('Time [ sec ]');
% ylabel('Snelheid [ cm/sec ]');
% h = legend('y1','y3','y8','y5','y6');


%y6(1:100)   = 0.00;
%y6(101:350) = 0.01;   % Ribbel met hoogte van 1 cm/sec en breedte van 2.5 s
%y6(351:600) = 0.00;
%y6(601:625) = 0.01;   % Ribbel met hoogte van 1 cm/sec en breedte van 2.5 s
%y6(626:1000)= 0.00;

% No initial conditions
y7 = filter(Hm2,y6);       % PersistentMemory is false (default)
zf2 = Hm2.States;          % Final conditions
